package com.cab.model;

import java.util.Date;

public class CabMyLoveDog {
	
    private Integer id;

    private String userId;

    private String dogName;

    private String pedigreeNum;
    
    private Integer sex;
    
    private double weight;

    private Date dogBirthday;

    private Date getHomeDate;

    private Date createTime;

    private Date updateTime;

    private Integer deleteflag;
    
    private String avatar;
    //宠物狗的类别
    private String dogType ;
    
    private String typeName;


	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDogName() {
        return dogName;
    }

    public void setDogName(String dogName) {
        this.dogName = dogName == null ? null : dogName.trim();
    }

    public String getPedigreeNum() {
        return pedigreeNum;
    }

    public void setPedigreeNum(String pedigreeNum) {
        this.pedigreeNum = pedigreeNum == null ? null : pedigreeNum.trim();
    }

    public Date getDogBirthday() {
        return dogBirthday;
    }

    public void setDogBirthday(Date dogBirthday) {
        this.dogBirthday = dogBirthday;
    }

    public Date getGetHomeDate() {
        return getHomeDate;
    }

    public void setGetHomeDate(Date getHomeDate) {
        this.getHomeDate = getHomeDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteflag() {
        return deleteflag;
    }

    public void setDeleteflag(Integer deleteflag) {
        this.deleteflag = deleteflag;
    }

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public double getWeight() {
		return weight;
	}

	public void setWeight(double weight) {
		this.weight = weight;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

    public String getDogType() {
        return dogType;
    }

    public void setDogType(String dogType) {
        this.dogType = dogType;
    }
	
	
}